<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));

class JeroBankTransferPackage extends Package {

	protected $pkgHandle = 'jero_bank_transfer';
	protected $appVersionRequired = '5.5.0';
	protected $pkgVersion = '0.9.5';
	
	public function getPackageDescription() {
		return t("Bank transfer payment method for ecommerce");
	}
	
	public function getPackageName() {
		return t("JeRo Bank Transfer");
	}
	 
	public function uninstall() {
		parent::uninstall();
		$db = Loader::db();
		$db->Execute('DELETE FROM CoreCommercePaymentMethods WHERE paymentMethodHandle = ?', array($this->pkgHandle));
	}
	
	public function install() {
		$pkg = parent::install();
		Loader::model('payment/method', 'core_commerce');
		CoreCommercePaymentMethod::add($this->pkgHandle, t('Bank Transfer'), 0, NULL, $pkg);
	}
}
?>
